tigase.xmpp.mam

## Class QueryImpl

- java.lang.Object
- - tigase.xmpp.mam.QueryImpl

- All Implemented Interfaces:
    Query

      public class QueryImpl
      extends Object
      implements Query

  Class implements Query interface and is base implementation of query holder used by implementation of XEP-0313: Message Archive Management
  Created by andrzej on 21.07.2016.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JID` | `getComponentJID()`
    `Date` | `getEnd()`
    `String` | `getId()`
    `JID` | `getQuestionerJID()`
    `RSM` | `getRsm()`
    `Date` | `getStart()`
    `JID` | `getWith()`
    `void` | `setComponentJID(JID componentJID)`
    `void` | `setEnd(Date end)`
    `void` | `setId(String id)`
    `void` | `setQuestionerJID(JID questionerJID)`
    `void` | `setStart(Date start)`
    `void` | `setWith(JID with)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryImpl

          public QueryImpl()

  - ### Method Detail

    - #### getQuestionerJID

          public JID getQuestionerJID()

      Specified by:
        `getQuestionerJID` in interface `Query`

    - #### setQuestionerJID

          public void setQuestionerJID(JID questionerJID)

      Specified by:
        `setQuestionerJID` in interface `Query`

    - #### getComponentJID

          public JID getComponentJID()

      Specified by:
        `getComponentJID` in interface `Query`

    - #### setComponentJID

          public void setComponentJID(JID componentJID)

      Specified by:
        `setComponentJID` in interface `Query`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `Query`

    - #### setId

          public void setId(String id)

      Specified by:
        `setId` in interface `Query`

    - #### getStart

          public Date getStart()

      Specified by:
        `getStart` in interface `Query`

    - #### setStart

          public void setStart(Date start)

      Specified by:
        `setStart` in interface `Query`

    - #### getEnd

          public Date getEnd()

      Specified by:
        `getEnd` in interface `Query`

    - #### setEnd

          public void setEnd(Date end)

      Specified by:
        `setEnd` in interface `Query`

    - #### getWith

          public JID getWith()

      Specified by:
        `getWith` in interface `Query`

    - #### setWith

          public void setWith(JID with)

      Specified by:
        `setWith` in interface `Query`

    - #### getRsm

          public RSM getRsm()

      Specified by:
        `getRsm` in interface `Query`

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.